List shipment points
GET https://delivery-api.paysera.com/rest/v1/shipment-points
Retrieve saved shipment points with optional filtering.
Filtering Options​
- Type (sender/receiver)
- Default status
- Project ID
Pagination​
Use limit and offset parameters.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, please refer to the Authentication section.
Parameters​
Query Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
type | string | Filter by shipment point type | |
is_default | boolean | Filter by default status | |
project_id | string | Filter by project ID | |
limit | integer | Maximum number of results | |
offset | integer | Number of results to skip |
Example​
Request​
GET https://delivery-api.paysera.com/rest/v1/shipment-points?type=sender&is_default=true&project_id=proj_123&limit=20&offset=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"_metadata": {
"total": 5,
"offset": 0,
"limit": 20
},
"shipment_points": [
{
"id": 1,
"type": "sender",
"is_default": true,
"contact": {
"name": "Company ABC",
"phone": "+37060000001"
},
"address": {
"city": "Vilnius",
"country": "LT"
}
},
{
"id": 2,
"type": "receiver",
"is_default": false,
"contact": {
"name": "Customer XYZ",
"phone": "+37060000002"
},
"address": {
"city": "Kaunas",
"country": "LT"
}
}
]
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://delivery-api.paysera.com
Query Parameters
typeFilter by shipment point type
is_defaultFilter by default status
project_idFilter by project ID
limitMaximum number of results
offsetNumber of results to skip
RESPONSE
Shipment points retrieved successfully
{
"_metadata": {
"total": 5,
"offset": 0,
"limit": 20
},
"shipment_points": [
{
"id": 1,
"type": "sender",
"is_default": true,
"contact": {
"name": "Company ABC",
"phone": "+37060000001"
},
"address": {
"city": "Vilnius",
"country": "LT"
}
},
{
"id": 2,
"type": "receiver",
"is_default": false,
"contact": {
"name": "Customer XYZ",
"phone": "+37060000002"
},
"address": {
"city": "Kaunas",
"country": "LT"
}
}
]
}